#!/bin/sh -xe

from=ffzg
to=bibliografija

ep=/usr/share/eprints3

bin="sudo -u eprints $ep/bin"

dir=/tmp/eprints-clone
test -d $dir || mkdir $dir

test -e $dir/$from.archive.xml || $bin/export $from archive XMLFiles > $dir/$from.archive.xml
#test -e $dir/$from.no-files.xml || $bin/export $from archive XML      > $dir/$from.no-files.xml
test -e $dir/$from.subject.xml || $bin/export $from subject XML      > $dir/$from.subject.xml
test -e $dir/$from.user.xml    || $bin/export $from user    XML      > $dir/$from.user.xml

if $bin/epadmin test $to ; then
	echo "$to exists, skip import"
else
	echo "$to import from $from started"
	exit 1

	$bin/epadmin create $to

	cd /usr/share/eprints3/archives/$to/cfg
	git init
	git add *
	git commit -m "new repository $to"

	rsync -rv $ep/archives/$from/cfg/ $ep/archives/$to/cfg/

	echo "restore core configuration of $to"
	git diff cfg.d/adminemail.pl | patch -R -p1
	git diff cfg.d/10_core.pl    | patch -R -p1
	git diff lang/en/phrases/archive_name.xml | patch -R -p1

	git diff cfg.d/database.pl | patch -R -p1

	git commit -m "$from configuration changes" -a

	echo "Modify databse for $from shema"
	$bin/epadmin update $to

	#$bin/epadmin              erase_data $to

	echo "Importing data to $to"
	$bin/import          --verbose       $to user   XML $dir/$from.user.xml
	$bin/import_subjects --verbose --xml $to            $dir/$from.subject.xml
	$bin/import          --verbose       $to eprint XML $dir/$from.archive.xml

fi



